/* Quick Add Button */
body[data-page-type] .block-product-card__quick-add {
  background-color: transparent;
  border: none;
}

body[data-page-type] .block-product-card__quick-add svg {
  display: none;
}

body[data-page-type] .block-product-card__quick-add::after {
  content: "";
  display: inline-block;
  width: var(--st-product-alert-trigger-icon-size, 32px);
  height: var(--st-product-alert-trigger-icon-size, 32px);
  background-image: url('data:image/svg+xml,<svg width="34" height="31" viewBox="0 0 34 31" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M15.4526 29.6347C16.9473 29.6347 18.1591 28.4229 18.1591 26.9282C18.1591 25.4334 16.9473 24.2217 15.4526 24.2217C13.9578 24.2217 12.7461 25.4334 12.7461 26.9282C12.7461 28.4229 13.9578 29.6347 15.4526 29.6347Z" stroke="%23ABABAB" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/><path d="M26.5502 29.8515C28.045 29.8515 29.2567 28.6397 29.2567 27.145C29.2567 25.6502 28.045 24.4385 26.5502 24.4385C25.0555 24.4385 23.8438 25.6502 23.8438 27.145C23.8438 28.6397 25.0555 29.8515 26.5502 29.8515Z" stroke="%23ABABAB" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/><path d="M1 1C1 1 2.53492 1 3.38765 1C4.24038 1 5.09311 1.37727 5.94585 2.20726C6.79858 3.03725 7.39549 4.47088 7.39549 4.47088L11.0622 15.3362C11.7444 17.1471 12.6824 18.4298 14.5584 18.4298H26.2409C28.2022 18.4298 29.396 16.3926 29.7371 15.3362C30.0782 14.2799 32.1247 7.48903 32.1247 7.48903C32.1247 6.05541 30.7604 4.84815 29.1402 4.84815H7.56604" stroke="%23ABABAB" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/><line x1="20.6758" y1="9.46973" x2="20.6758" y2="13.6947" stroke="%23ABABAB" stroke-width="2" stroke-linecap="round"/><line x1="18.1836" y1="11.2041" x2="22.4085" y2="11.2041" stroke="%23ABABAB" stroke-width="2" stroke-linecap="round"/></svg>');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

body[data-page-type] .block-product-card__quick-add {
  padding: 0;
}

@media (max-width: 959px) {
  body[data-page-type] .block-product-card__quick-add::after {
    width: var(--st-product-alert-trigger-icon-size-mobile, 32px);
    height: var(--st-product-alert-trigger-icon-size-mobile, 32px);
  }
}

/* Featured Collection */
.section-featured-collection .plugin-color-board {
 display: none;
}

/* PLP */
.grid.main-collection__list .plugin-color-board {
  display: none;
}

.block-product-subtitle span {
  font-size: 16px;
  font-weight: 500 !important;
}

.block-product-card :is(.block-product-title, .block-product-subtitle) {
  font-weight: 500;
  font-style: normal;
}

body[data-page-type] .block-product-card .block-product-title span {
  display: -webkit-box;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: var(--talons-product-card-title-lines);
  line-height: var(--talons-product-card-title-line-height);
  min-height: calc(
    1em * var(--talons-product-card-title-line-height) *
      var(--talons-product-card-title-lines)
  );
  text-transform: uppercase;
}

body[data-page-type] .block-product-card .block-product-subtitle span {
  display: -webkit-box;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: var(--talons-product-card-subtitle-lines);
  line-height: var(--talons-product-card-subtitle-line-height);
  min-height: calc(
    1em * var(--talons-product-card-subtitle-line-height) *
      var(--talons-product-card-subtitle-lines)
  );
}

/* Add to Cart Button */
.product-detail__buy-button-group .block-product-buy-button-text {
  font-size: 16px;
  text-transform: uppercase;
  font-weight: 700;
}

.block-product-buy-button-text {
  font-size: 16px;
  font-weight: 700;
  text-transform: uppercase;
}

@media (min-width: 960px) {
  .block-product-card .block-product-title {
    font-size: 24px;
  }

  .block-product-card .block-product-subtitle {
    font-size: 16px;
  }

  .block-product-buy-button-text {
    font-size: 18px;
  }

  .product-detail__buy-button-group .block-product-buy-button-text {
    font-size: 18px;
  }
}
